Subject: [urn] terminology

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Sun, 13 Sep 2015 15:56:32 -0600

To clarify the use of several terms, as well as to introduce early in 
the document the concept of resolving URNs into URLs, I propose that we 
add the following two paragraphs to Section 2:

    This document uses the terms "resolution" and "resolver" in roughly
    the sense from [RFC2276], i.e., "resolution" is the act of
    translating names into locators and a "resolver" is a service that
    translates names into locators.  In order to make that meaning clear,
    this document uses the term Uniform Resource Locator (URL), rather
    than the generic term Uniform Resource Identifier (URI), to refer to
    locators; see also Section 1.1.3 of [RFC3986].

    If a URN can theoretically or practically be resolved to one or more
    URLs, this document calls it a resource identifier in roughly the
    sense from [RFC3986].  If a URN cannot be so resolved, this document
    calls it an abstract designator.

RFC 2276 talks about URCs when describing the the concept of a resolver, 
which is why I've used the word "roughly" above. If we want to be more 
precise about where the roughness lies, we could add a few words about 
why URCs are not included in this model.

Peter

---

From: "Hakala, Juha E" <[email-masked]>
Date: Mon, 14 Sep 2015 04:54:06 +0000

Hello Peter, 

your definition of resolution is too narrow, since in addition to translating a name into locators resolvers are - or will be - able to do many other things as well. People who claim that resolution is an extra step which should be avoided will get more ammunition into their hands if we are too modest about what resolvers may do, so it is in our interest to leave room for future developments in our specification of resolution. 

You might say something like this to provide a more polished definition and still avoid mentioning URCs: 

"... "resolution" is the act of supplying services related to the identified resource, such as translating the persistent name into 1-n current locators of the resource, or delivering resource metadata in an appropriate format. Resolution services are currently defined in [RFC2483]. In order to underline the difference between the names and locations, this document uses the term Uniform Resource Locator (URL) rather than the generic term Uniform Resource Identifier (URI) to refer to locators; see also Section 1.1.3 of [RFC3986]. 

If there are or will be resolution services available for a URN, this document calls it a resource identifier in roughly the sense from [RFC3986].  If there is no intention to provide any resolution services, this document calls URN an abstract designator."

Best regards,

Juha  

> -----Original Message-----
> From: urn [mailto:[email-masked]] On Behalf Of Peter Saint-Andre -
> &yet
> Sent: 14. syyskuuta 2015 0:57
> To: [email-masked]
> Subject: [urn] terminology
> 
> To clarify the use of several terms, as well as to introduce early in the
> document the concept of resolving URNs into URLs, I propose that we add the
> following two paragraphs to Section 2:
> 
> precise about where the roughness lies, we could add a few words about why
> URCs are not included in this model.
> 
> Peter
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn

---

From: Martin J. Dürst <[email-masked]>
Date: Mon, 14 Sep 2015 14:24:12 +0900

> If there are or will be resolution services available for a URN, this document calls it a resource identifier in roughly the sense from [RFC3986].  If there is no intention to provide any resolutio…

Some grammar fixes are needed in the last paragraph:

- "calls it a resource" -> "calls the URN a resource"

- "calls URN an abstract designator" ->
   "calls the URN an abstract designator"

Regards,  Martin.

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Mon, 14 Sep 2015 09:14:53 -0600

> If there are or will be resolution services available for a URN, this document calls it a resource identifier in roughly the sense from [RFC3986].  If there is no intention to provide any resolutio…

Yes, that is more descriptive. Thanks for the proposed text.

Peter

-- 
Peter Saint-Andre
https://andyet.com/